
package com.sreal.visiproxjr;

public class PumpThread extends java.lang.Thread
{
	private java.io.InputStream in;
	private java.io.OutputStream out;
	private com.sreal.visiproxjr.Circuit circuit;

	public PumpThread(java.io.InputStream in, java.io.OutputStream out, com.sreal.visiproxjr.Circuit circuit)
	{
		this.in = in;
		this.out = out;
		this.circuit = circuit;
	}

	public void run()
	{
		try
		{
			byte[] buffer = new byte[4096];
			int amount;

			while (true)
			{
				amount = this.in.read(buffer);
				if (amount < 0) break;
				this.out.write(buffer, 0, amount);
				this.out.flush();
				this.circuit.log(buffer, 0, amount);
			}

			this.circuit.close();
		}
		catch (java.io.IOException exception)
		{
			java.lang.System.out.println(exception);
		}
	}
}

